多款Zend产品安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1158259 漏洞类型 代码问题
发布时间 2014-11-17 更新时间 2019-07-17
CVE编号 CVE-2014-2682 CNNVD-ID CNNVD-201411-262
漏洞平台 N/A CVSS评分 6.8
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201411-262
|漏洞详情
Zend Framework 1(ZF1)等都是美国Zend公司的产品。ZF1是一套开源的PHP5开发框架,它主要用于开发Web程序和服务;ZendOpenId是其中的一个提供了简单API用于构建启用OpenId的站点和身份标识的组件;ZendRest是其中的一个提供了REST服务支持的组件。 多款Zend产品中存在安全漏洞,该漏洞源于程序使用PHP-FPM时,没有在线程之间共享libxml_disable_entity_loader设置。远程攻击者可借助XML外部实体声明和实体引用利用该漏洞实施XML External Entity攻击。以下产品和版本受到影响:ZF1 1.12.4之前版本,Zend Framework 2 2.1.6之前版本和2.2.6之前2.2.x版本,ZendOpenId,ZendRest,ZendService_AudioScrobbler,ZendService_Nirvanix,ZendService_SlideShare,ZendService_Technorati,ZendService_WindowsAzure 2.0.2之前版本,ZendService_Amazon 2.0.3之前版本,ZendService_Api 1.0.0之前版本。(说明:CVE-2012-5657的补丁没有完全修复该问题,在CVE-2014-2682中依然存在)。
|参考资料

来源:MLIST
链接:http://seclists.org/oss-sec/2014/q2/0
来源:framework.zend.com
链接:http://framework.zend.com/security/advisory/ZF2014-01
来源:MANDRIVA
链接:http://www.mandriva.com/security/advisories?name=MDVSA-2014:072
来源:advisories.mageia.org
链接:http://advisories.mageia.org/MGASA-2014-0151.html